<p align="center">
𝐃𝐈𝐒𝐔☆𝟏𝟗𝟓𝟎
</p>

<img src="SS_termux_clean.png" alt="SS" title="TERMUX JUNK CLEAN">


## About Tool

Termux Junk Cleaner is a powerful junk cleanup tool designed to optimize and declutter your Termux environment. It offers a comprehensive set of features to clean up various unnecessary files, logs, cached data and more.

## Installation

- #### Clone the repository or just download manually:
```bash
gitea clone https://gitea.dmz/disu1950/termux-junk-clean.git
````
- #### Navigate to the project directory:
```bash
cd termux-junk-clean.sh
```
- #### Give executable permission to the file
```bash
chmod +x termux-junk-clean.sh
```
- #### Run the script:
 ```bash
  ./termux-junk-clean.sh
  ```

  ## Features

  - #### Selective Cleanup:
  Choose specific cleanup options tailored to your needs (cached packages, temporary files, logs).

  -	 ##### Cache Cleanup: Remove redundant cache files to free up space.
  -	 ##### Cached Packages Cleanup: Efficiently clean cached packages to enhance performance.
  -	 ##### Unused Packages Removal: Safely remove unnecessary or unused packages.
  -	 ##### Temporary Files Cleanup: Eliminate temporary files that may accumulate over time.
  -	 ##### Temporary Backup Files Cleanup: Ensure a clean slate by removing temporary backup files.
  -	 ##### Unnecessary Logs Cleanup: Improve system cleanliness by cleaning unnecessary logs.

  - #### Detailed Logs:
  The tool generates cleanup details in `cleanup_log.txt`.

  ## Usage
  Termux Junk Cleaner provides a flexible and user-friendly interface for cleanup operations. You can choose specific cleanup options, or run it interactively for a customized cleanup.
  ### Options

  Interactive Mode:
  ```bash
  ./termux-junk-clean.sh
  ```
  Help:
  ```bash
  ./termux-junk-clean.sh -h
  ```
  Clean Cache Files:
  ```bash
  ./termux-junk-clean.sh -c
  ```
  Clean Cached Packages:
  ```bash
  ./termux-junk-clean.sh -p
  ```
  Remove Unnecessary Packages:
  ```bash
  ./termux-junk-clean.sh -n
  ```
  Clean Temporary Files:
  ```bash
  ./termux-junk-clean.sh -t
  ```
  Clean Temporary Backup Files:
  ```bash
  ./termux-junk-clean.sh -b
  ```
  Clean Unnecessary Logs:
  ```bash
  ./termux-junk-clean.sh -l
  ```
  Clean All Types of Junks:
  ```bash
  ./termux-junk-clean.sh -a
  ```
  